# Generated by Django 4.0.7 on 2022-09-27 08:16

import logging
from django.db import migrations

logger = logging.getLogger(__name__)


def link_account_to_budget(apps, schema_editor):
    Budget = apps.get_model("sustainability", "Budget")
    Account = apps.get_model("sustainability", "Account")
    for budget in Budget.objects.all():
        account = Account.objects.filter(name=budget.name).first()
        if not account:
            account = Account(name=budget.name)
            account.save()
        budget.account = account
        budget.save()


class Migration(migrations.Migration):
    dependencies = [
        ('sustainability', '0004_budget_account'),
    ]

    operations = [migrations.RunPython(link_account_to_budget, migrations.RunPython.noop)]
